package cn.com.poc.equity.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;

import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for QueryPointTransactionHistoryQuery
 */
@Entity
public class QueryPointTransactionHistoryQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     * id
     */
    private java.lang.Long id;

    @Column(name = "id")
    public java.lang.Long getId() {
        return this.id;
    }

    public void setId(java.lang.Long id) {
        this.id = id;
    }

    /**
     * transaction_sn
     * transaction_sn
     */
    private java.lang.String transactionSn;

    @Column(name = "transaction_sn")
    public java.lang.String getTransactionSn() {
        return this.transactionSn;
    }

    public void setTransactionSn(java.lang.String transactionSn) {
        this.transactionSn = transactionSn;
    }

    /**
     * member_id
     * 目标用户id
     */
    private java.lang.Long memberId;

    @Column(name = "member_id")
    public java.lang.Long getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Long memberId) {
        this.memberId = memberId;
    }

    /**
     * modify_event
     * modify_event
     */
    private java.lang.String modifyEvent;

    @Column(name = "modify_event")
    public java.lang.String getModifyEvent() {
        return this.modifyEvent;
    }

    public void setModifyEvent(java.lang.String modifyEvent) {
        this.modifyEvent = modifyEvent;
    }

    /**
     * modify_event_info
     * modify_event_info
     */
    private java.lang.String modifyEventInfo;

    @Column(name = "modify_event_info")
    public java.lang.String getModifyEventInfo() {
        return this.modifyEventInfo;
    }

    public void setModifyEventInfo(java.lang.String modifyEventInfo) {
        this.modifyEventInfo = modifyEventInfo;
    }

    /**
     * modify_target_id
     * modify_target_id
     */
    private java.lang.Long modifyTargetId;

    @Column(name = "modify_target_id")
    public java.lang.Long getModifyTargetId() {
        return this.modifyTargetId;
    }

    public void setModifyTargetId(java.lang.Long modifyTargetId) {
        this.modifyTargetId = modifyTargetId;
    }

    /**
     * point_change_num
     * point_change_num
     */
    private java.lang.Long pointChangeNum;

    @Column(name = "point_change_num")
    public java.lang.Long getPointChangeNum() {
        return this.pointChangeNum;
    }

    public void setPointChangeNum(java.lang.Long pointChangeNum) {
        this.pointChangeNum = pointChangeNum;
    }

    /**
     * is_deleted
     * is_deleted
     */
    private java.lang.String isDeleted;

    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
    }

} 